﻿@model IEnumerable<DAL.DBEntities.vt_Products>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";

    //IList<DAL.DBEntities.vt_Products> Product = Model.Products;

    //IList<DAL.DBEntities.vt_ProductDetails> ProductDetail = Model.ProductDetail;
}

<!-- Page Title Area -->
<div class="row page-title clearfix">
    <div class="page-title-left">
        <h6 class="page-title-heading mr-0 mr-r-5">Order</h6>
    </div>
    <!-- /.page-title-left -->
    <div class="page-title-right d-none d-sm-inline-flex">
        <ol class="breadcrumb">
            <li class="breadcrumb-item">
                <a href="javascript:;">Dashboard</a>
            </li>
            <li class="breadcrumb-item active">Featured</li>
        </ol>
    </div>
    <!-- /.page-title-right -->
</div>
<!-- /.page-title -->
<!-- /.page-title -->
<!-- =================================== -->
<!-- Different data widgets ============ -->
<!-- =================================== -->
<div class="widget-list feature_widet_list">
    <div class="row">
        <div class="col-md-12 widget-holder">
            <div class="widget-bg-transparent">
                <div class="widget-body clearfix">
                    <div class="row">

                        @foreach (var item in Model)
                        {
                            <div class="col-12 col-md-4 maindiv">
                                <div class="pricing-box">
                                    <header class="text-center">
                                        <h5 class="sub-heading-font-family mb-4">@item.ProductType</h5>
                                        <div class="feature_log_div"><img src="~/assets/img/azure-logo.png" alt="" /></div>

                                    </header>
                                    <hr>
                                    <div class="pricing-box-content px-5">
                                        <h6 class="text-center pt-2 ProductTitle">@item.Title</h6>
                                        <p class="mt-4 text-center">@item.Description</p>
                                        <div class="text-center">
                                            <a href="#" class="btn btn-lg btn-outline-info py-3 txtaddCart" data-toggle="modal" _id="@item.MCID" >Add to Cart</a>
                                        </div>
                                    </div>
                                </div>
                                <!-- /.pricing-box -->
                            </div>

                        }

                    </div>
                    <!-- /.row -->
                </div>
                <!-- /.widget-body -->
            </div>
            <!-- /.widget-bg -->
        </div>
        <!-- /.widget-holder -->
    </div>
    <!-- /.row -->
</div>
<div id="ProductModel"></div>
@section InScript{
    <script type="text/javascript">
    $(document).ready(function () {
        $('.txtaddCart').click(function () {
            var MCID = $(this).attr('_id');
            var ProductTitle = $(this).parent().parent().find('h6').text();
            $.ajax({
                type: "post",
                url: "@Url.Action("ProductDetails", "Product")",
                data: { "ProductID": MCID },
                success: function (data) {
                    $('#ProductModel').html(data);
                    $('.lblProductTitle').text(ProductTitle);
                    $('#ModelProduct').modal('show');
                    //alert(data); ModelProduct
                }
            })
        });

        
    });
    </script>
}